Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 25/01/2014, à 16:59

100305

[Résolu]Mise à niveau, au clair..

Bonjour à tous,

Comment savoir si un paquet est un paquet logiciel :
Libre,
Opensource, 
Propriétaire,
ou encore,
Restreints par copyright ou problèmes légaux ?

(L’icône de l'outil Gestionnaire de paquet, Synaptic, renseigne Le paquet est supporté.(soit, Libre) ?)


Lors d'un Mise à niveau de son Système préféré Ubuntu, quelles sont ceux qui en toutes logiques* sont des sources de probables « conflits ».

*Mise à niveau en fonction du fichier sources.list, qui par défaut ne comprennent que certains dépôts de Licence GNU exclusivement. (Liste)
Ceux pour lesquelles, une demande de mise à niveau est faite durant une Mise à niveau et n’étant pas contenus par ces derniers dépôts, seront en conflits.

Grand merci par avance,
Cordialement,
post d'origine

Dernière modification par 100305 (Le 29/01/2014, à 20:27)

Hors ligne

#2 Le 25/01/2014, à 19:51

xabilon

Re : [Résolu]Mise à niveau, au clair..

Salut

Les dépôts susceptibles de causer des conflits lors d'une mise à niveau sont tous les dépôts non-officiels, entre autres les PPA, qui proposent des versions différentes de paquets également présents dans les dépôts officiels.
C'est pour cela qu'ils sont automatiquement désactivés lors d'une mise à niveau, mais ça n'évitera pas tous les possibles problèmes (de versions de paquet, de fichiers appartenant à plusieurs paquets, etc...).

APT ne permet pas, à ma connaissance, de consulter les licences des paquets par une simple commande.
Si un paquet est installé, sa licence (copyright) se trouvera dans le dossier correspondant de /usr/share/doc
Si il n'est pas installé, consulte directement le site http://packages.ubuntu.com/fr/
À titre indicatif concernant les dépôts officiels, les sections main et universe contiennent des paquets libres, et les restricted et multiverse des paquets non-libres (en tout ou en partie)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#3 Le 26/01/2014, à 10:54

100305

Re : [Résolu]Mise à niveau, au clair..

Bonjour,
Ces précisions sont très claires.

Question :
Dans le Gestionnaire de paquets Synaptic, figure une liste Verticale d'outils-menu. (En bas de la fenêtre)

Lorsque Origine est sélectionné une liste de catégories au dessus apparaît ou figure Local.


Que renseigne cette catégorie, au travers de la liste des paquets qu'elle affichent?

Merci

Dernière modification par 100305 (Le 26/01/2014, à 11:24)

Hors ligne

#4 Le 26/01/2014, à 12:32

100305

Re : [Résolu]Mise à niveau, au clair..

Bonjour à tous,

Voici un résumé de mon questionnement et des réponses et ci dessous un post précédent:
ancien post

Résumé:


Une Mise à niveau est plutôt déconseillé par rapport à une nouvelle Installation.
Les raisons:
- artefacts
- fichiers appartenant à plusieurs paquets
-..
A titre indicatif, donc sans être une règle, les paquets non-officiels pourraient poser des problèmes.
Ces paquets non-officiels comprennent les dépôts:
- restricted
- multiverse

Si ce qui précède est bien exacte, voici
une "procédure" de Mise à Niveau, synthèse de conseils, références Officiels d'Ubuntu lus et d'entre-aide participatif grace à ce groupe de discussion préféré!

Dans l'outil Gparted
Espace disque siffisant.

Dans le Gestionnaire de mises à jour
Effectuer les Mises à jour

Dans le Gestionnaire de paquets
Rechercher les paquets
Supprimer

Dans mon cas précis; voici
Mes paquets, leur descriptions, ma conclusion :

Brother udev rule type 1
Copyright: 2012 Brother Industries, Ltd. All Rights Reserved
udev rule for brother scanner type1

brscan3
Brother Scanner Driver
Copyright: 2008-2012 Brother Industries, Ltd. All Rights Reserved
Brother sane backend Driver

dcp195ccupswrapper:i386
Brother CUPS Inkjet Printer Definitions
Copyright: 2004 Brother Industries, Ltd. All Rights Reserved
Brother Inkjet printer CUPS Driver

dcp195clpr:i386
Brother lpr Inkjet Printer Definitions
Copyright: 2003 Brother Industries, Ltd. All Rights Reserved
Brother inkjet printer Driver

Ces 4 paquets ci-dessous, doivent faire partie des dépôts multiverse,
malgré que je ne me souviennes pas de les avoir installés manuellement et de voir figurer explicitement le terme «multiverse ».

flashplugin-installer
...The distribution license of the
Adobe Flash Player plugin is available at www.adobe.com. 

Là même chose.

ubuntu-restricted-addons
Commonly used restricted packages for Ubuntu
Méta-paquets(multiverse) 

idem

Je reprends la "procédure de Mise à niveau"
Dans l'utilitaire Sources et logiciels
Désactiver:
Pilotes propriétaires de périphériques (restricted)
Logiciels soumis au droit d'auteur ou à des restrictions légales (multiverse)

Dans la console et en ligne de commande
entrer la commande correspondante pour faire une Mise à niveau


Puis, Suivre les procédures d'installations des paquets pour la nouvelle Version si toujours nécessaires et qui ont été précédemment supprimées.

Cette procédure est t'elle suffisamment robuste pour parer aux éventualités de conflits (artefacts, suppression de fichiers communs à plusieurs paquets) et permet telle d'envisager simplement une Mise à niveau, tous les six mois en la suivant telle quelle ?

Comments Welcomed!
Cordialement,

Dernière modification par 100305 (Le 27/01/2014, à 13:54)

Hors ligne

#5 Le 27/01/2014, à 16:43

100305

Re : [Résolu]Mise à niveau, au clair..

Bon
Je me lance mais je garde les dépôts officiels par défaut, du Gestionnaire Sources et logiciels, par contre.

Hors ligne

#6 Le 27/01/2014, à 17:04

xabilon

Re : [Résolu]Mise à niveau, au clair..

Si tu n'as pas une flopée de dépôts PPA, normalement il n'y a pas trop de risque de conflits.
Cela dit, tu n'es jamais à l'abri de bugs ou régressions... c'est pour ça qu'il est recommandé de tester la nouvelle version en LiveUSb ou LiveCD avant l'installation/mise à niveau.

En revanche, il ne faut pas désactiver les dépôts restricted et multiverse, ceux-ci sont des dépôts officiels.

Dernière modification par xabilon (Le 27/01/2014, à 17:05)


Pour passer un sujet en résolu : modifiez le premier message et ajoutez [Résolu] au titre.

Hors ligne

#7 Le 27/01/2014, à 20:45

100305

Re : [Résolu]Mise à niveau, au clair..

Bonjour à tous,

Exacte. Une confusion s'est glissé! Autant pour moi.
En effet, j'ai fais un amalgame entre free et non-free avec non-officiel et officiel.
Voila pourquoi, j'ai préconisé dans ce même post d'enlever les non-free (restricted et mutliverse).
Pensant qu'ils étaient des non-officiels.

Bah!
C'est faux.

Petit retour rapide sur les deux Mises à niveau successives, qui semblent s’être bien terminés, donc!:)

J'ai supprimé les 4 paquets brother et flashplugin-installer.
Dans ma logique, ces 4 premiers paquets (restricted ou multi-verse), dans une confusion generalisée et par manque de connaissance certaines.
Je pense que j'aurais probablement pu les laisser et les réutilser, donc?

Pareil, pour flashplugins-installer? (restricted ou multi-verse), manip utiles?

J'ai conservé enfin le Méta-paquets (multiverse)
A ce stade, j'ai compris qu'il s'agissait, de toute les manières, d'un paquet de dépôt officiel, et qu'ils ne concernaits donc pas ceux des non-officiels.
Enfin c'est devenu clair.

Pour conclure et si cela peut apporter une indications supplémentaires à quiconque:
Ma Mise à niveau de 12.10 Q.Q. à 13.04 R.R. :4 paquets supprimés, 183 paquets ont été installés, 1372 ont été mis  à jour .  728 M  pour 40mn
deux uniques interventions manuelles:
>Une demande d'accord au sujet de rédemarrage de services (cron, .)
rpse ok

>Une demande d'accord de conservation di fichier de configuration GRUB
rpse ok

lors de 13.04 à 13.10 S.S.:18 paquets vont être supprimés, 199 nouveaux paquets vont être installés, 8 paquets installés ne sont plus maintenues par canonical.Vous pouvez toujours obtenir une assistance de la part de la communauté.
Une seule intervention manuelle
> remplacer le fichier de configuration / etc/default/rcs
réponse Non


Cordialement,

Dernière modification par 100305 (Le 27/01/2014, à 20:56)

Hors ligne

#8 Le 03/02/2014, à 21:41

100305

Re : [Résolu]Mise à niveau, au clair..

en réponse à #2
En effet et ceux sont les tierces parties:
Ce qui suit émane du Terminal au cours d’une Mise à niveau de 13.04 >> 13.10, je cite :

« Sources provenant de tiers désactivés
Certaines entrées de votre fichier sources.list, concernant des tierces parties, ont été désactivés. 
Vous pouvez les réactiver après la mise à niveau avec l’outil « Sources de Logiciels » ou avec Synaptic.

Voici un copiage du sources.list d'origine.
J'ai réuni les sections des mêmes branches pour que cela soit plus clair.
On voit quelles sont bien chacune d'elles présente.

deb http://fr.archive.ubuntu.com/ubuntu/ saucy main restricted universe multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ saucy main restricted universe multiverse

deb http://fr.archive.ubuntu.com/ubuntu/ saucy-updates main restricted universe multiverse
deb-src http://fr.archive.ubuntu.com/ubuntu/ saucy-updates main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu saucy-security main restricted universe multiverse
deb-src http://security.ubuntu.com/ubuntu saucy-security main restricted universe multiverse

deb http://fr.archive.ubuntu.com/ubuntu/ saucy-backports main restricted universe multiverse 
deb-src http://fr.archive.ubuntu.com/ubuntu/ saucy-backports main restricted universe multiverse 

 On voit ainsi les tierces parties, avec les entrées suivantes commentées:

## This software is not part of Ubuntu, but is offered by Canonical and the 
## respective vendors as a service to Ubuntu users. 

# deb http://archive.canonical.com/ubuntu raring partner 
# deb-src http://archive.canonical.com/ubuntu raring partner 

## This software is not part of Ubuntu, but is offered by third-party 
## developers who want to ship their latest software. 

# deb http://extras.ubuntu.com/ubuntu raring main 
# deb-src http://extras.ubuntu.com/ubuntu raring main

Par ailleurs, j'ai rencontré des problèmes indéniables et majeur avec Evolution, (sans sauvegarde).
Je préconise donc une nouvelle Installation plutôt...

Cordialement,

Dernière modification par 100305 (Le 04/02/2014, à 19:11)

Hors ligne

Haut de page ↑